Advanced roadmap - Error #247

Undefined method: rest_hours
2010-02-05 22:21 - Hamed Fallahnia

Status: Resolved Start date: 2010-02-05
Priority: Normal Due date: 2010-08-23
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: General Estimated time: 0.00 hour
Target version: Advanced roadmap 0.1.0

Source: Redmine version:

Detected on version:

Description

| have upgraded my redmine to 0.9 (trunk revision 3369). The Advance Roadmap plugin --version 0.6 which says "compatible with
0.9"-- gives me this error:

ActionView::TemplateError (undefined method “rest_hours' for #<Issue:0x9e54f6¢c>)

All the db:migrate stuff have been done properly. Could you please take a look into this? Thanks.

Associated revisions

Revision cd741aa0 - 2010-08-23 11:38 - Emilio Gonzalez Montaia
#247

¢ Fixed development environment error with Rails plugin load.

History

#1 - 2010-02-05 22:22 - Hamed Fallahnia

| forgot to add that this error happens in pages like issues/1234

#2 - 2010-02-05 22:56 - Emilio Gonzalez Montana
Which environment do you use? | have detected the same problem but only in the development environment, switch to production one solves the
problem.

In the development environment the first request after reseting the redmine works, but then all the requests are wrong, it's like of the plugin patchs are
not well applied in development environment.

#3 - 2010-02-05 22:58 - Hamed Fallahnia

| am using the production environment!

#4 - 2010-02-05 23:00 - Emilio Gonzalez Montaiha

- Target version set to Advanced roadmap 0.1.0

#5 - 2010-02-06 05:47 - Hamed Fallahnia

| could finally found the source of problem!
| have budget_plugin in my redmine and apparently that plugin and yours have some conflicts!! One cannot enable both of them.

#6 - 2010-03-01 13:01 - Amélie Husson

I'm getting the same error on production environment with Redmine 0.9.2.devel.3483 (MySQL)
Here is the list of my installed plugins:

- Advanced roadmap plugin

- Customer plugin

- Redmine Schedules plugin

- Redmine Scrum Sprints plugin

- Redmine Todo Lists plugin

(yeah | know that some plugins are quite the same, I'm currently testing which one | prefer :) )

#7 - 2010-08-23 11:08 - Emilio Gonzalez Montaiha
| get the same error in development environment, but not in production, I've spent a lot of hours trying to solve this bug, but it seems to be a inclusion
rails problem, because if there was something wrong in my plugin, it won't work on production environment, will it? Ideas are welcomed.

#8 - 2010-08-23 13:39 - Emilio Gonzalez Montana
- Due date set to 2010-08-23
- Status changed from New to Resolved

- % Done changed from 0 to 100

#9 - 2010-08-23 13:40 - Emilio Gonzalez Montaiha

- Subject changed from undefined method: rest_hours to Undefined method: rest_hours

#10 - 2010-08-23 13:42 - Emilio Gonzalez Montaina

Finally I've found the problem thanks to:
http:/strd6.com/2009/04/cant-dup-nilclass-maybe-try-unloadable/

#11 - 2010-09-13 17:56 - Slava Karg

Hi! I have been working with 1.0.1 Redmine and 0.0.6 advanced_roadmap without any error once | installed 0.1.0 advanced_roadmap. Such errors
begun: i cant enter any issue - 500 error appears and such messages are written in logs "ActionView::TemplateError (undefined method ‘rest_hours'
for #<Issue:0xb6bfe710>) on line #45 of vendor/plugins/advanced_roadmap/app/views/issues/show.rhtml: ..." and "ActionView:: TemplateError
(undefined method ‘rest_hours' for #<Issue:0xb6a18d74>) on line #21 of vendor/plugins/advanced_roadmap/app/views/projects/roadmap.rhtml: ..."

but when i came back to 0.0.6 - problem resolved.
